<?php

session_start();

require_once ("../../config/Cado.php");
require_once ("../empresa/cEmpresa.php");
$oEmpresa = new cEmpresa();
require_once ("../producto/cProducto.php");
$oProducto = new cProducto();
require_once ("../puntoventa/cPuntoventa.php");
$oPuntoventa = new cPuntoventa();
require_once ("../venta/cVenta.php");
$oVenta = new cVenta();
require_once ("../venta/cVentapago.php");
$oVentapago = new cVentapago();

require_once ("../producto/cCatalogo.php");
$oCatalogo = new cCatalogo();

require_once ("../impresora/cImpresora.php");
$oImpresora = new cImpresora();
require_once("../formatos/formato.php");
require_once("../formatos/numletras.php");

$venid=$_POST['venid'];

	$dtsg= $oVenta->verguia_x_venta($venid);
	$dtg= mysqli_fetch_array($dtsg);
	$guia_numdoc = $dtg['tb_guiaremision_numdoc'];
	mysqli_free_result($dtsg);
	
	$dtsven= $oVenta->mostrarUno_ticket($venid);
	$dtven= mysqli_fetch_array($dtsven);
	$ven_numDoc	=$dtven['numdoc'];
	$ven_docNom=$dtven['tb_documento_nom'];
	$ven_docAbr=$dtven['tb_documento_abr'];	
	$ven_venNom=$dtven['tb_usuario_nom'].' '.$dtven['tb_usuario_ape'];
	$ven_fecReg=$dtven['tb_venta_reg'];
	$ven_fec=$dtven['tb_venta_fec'];
	$ven_valven=$dtven['tb_venta_valven'];
	$ven_igv=$dtven['tb_venta_igv'];
	$ven_tot=$dtven['tb_venta_tot'];
	$ven_igvval=$dtven['tb_venta_igvval'];
	$ven_igvsub=$dtven['tb_venta_igvsub'];
	$ven_igvigv=$dtven['tb_venta_igvigv'];
	$ven_pisNom=$dtven['tb_piso_nom'];
	$ven_moneid = $dtven['moneid'];
	$cliNom=$dtven['tb_cliente_nom'];
	$cliDoc=$dtven['doc'];
	$cliDir=$dtven['dir'];
	$cliId=$dtven['cliid'];
	$emp_id =$dtven['tb_empresa_id'];
	$punven_cod = $dtven['tb_puntoventa_cod'];
	$data['punven_cod']	=$punven_cod;
	mysqli_free_result($dtsven);


$dtsi=$oImpresora->mostrarUno(1);
$dti = mysqli_fetch_array($dtsi);
	$imp_nom 	=$dti['tb_impresora_nom'];
	$imp_nomloc =$dti['tb_impresora_nomloc'];
	$imp_ser 	=$dti['tb_impresora_ser'];
	$imp_url 	=$dti['tb_impresora_url'];
	$imp_ip 	=$dti['tb_impresora_ip'];
mysqli_free_result($dtsi);


$dts=$oEmpresa->mostrarUno($emp_id);
$dt = mysqli_fetch_array($dts);
	$emp_ruc=$dt['tb_empresa_ruc'];
	$emp_nomcom=$dt['tb_empresa_nomcom'];
	$emp_razsoc=$dt['tb_empresa_razsoc'];
	$emp_dir=$dt['tb_empresa_dir'];
	$emp_dir2=$dt['tb_empresa_dir2'];
	$emp_tel=$dt['tb_empresa_tel'];
	$emp_ema=$dt['tb_empresa_ema'];
	$emp_rep=$dt['tb_empresa_rep'];
	$emp_fir=$dt['tb_empresa_fir'];
mysqli_free_result($dts);

// DATOS A IMPRIMIR

$data['guia_numdoc'] = $guia_numdoc;
$data['imp_nom'] = $imp_nom;
$data['imp_nomloc'] = $imp_nomloc;
$data['imp_ser'] = $imp_ser;
$data['imp_url'] = $imp_url;
$data['imp_ip']	 = $imp_ip;
$archivo_ticket='venta/venta_ticket_mat.php';
$data['imp_doc'] = $imp_url.$archivo_ticket;

$data['emp_razsoc'] =$emp_razsoc;
$data['emp_nomcom'] =$emp_nomcom;
$data['emp_ruc']	=$emp_ruc;
$data['emp_dir1']	=$emp_dir;
$data['emp_dir2']	=$emp_dir2;
$data['emp_tel']	=$emp_tel;
$data['emp_rep']	=$emp_rep;


if($ven_docAbr=="F"){
	$tip_com="01";
}else if($ven_docAbr=="B"){
	$tip_com="03";
}

if($ven_moneid==1){
	$mon_let = 'PEN';	
}else if($ven_moneid==2){
	$mon_let = 'USD';
}


$cont = strlen($cliDoc);

if($cont==11){
	$tipdoc = '6';
}else if($cont==8){
	$tipdoc = '1';
}


if($ven_moneid=="1"){
	$lblmon=" SOLES";
}else if($ven_moneid=="2"){
	$lblmon=" DOLARES";
}

$ser =  substr($ven_numDoc,0,4); 
$corr =  substr($ven_numDoc,5,13); 

$data['tipdoc'] = $tipdoc;
$data['tip_com']	=$tip_com;
$data['venta_id']	=$venid;
$data['ven_serdoc'] = $ser;
$data['ven_corrdoc'] = $corr;
$data['ven_igvsub']	= $ven_igvsub; //formato_money($ven_tot);
$data['ven_igvigv']	= $ven_igvigv; //formato_money($ven_tot);
$data['ven_reg']	=$ven_fec;
$data['ven_fec']	=$ven_fec;
$data['ven_moneid'] = $ven_moneid;
$data['mon_let'] = $mon_let;
$data['ven_numdoc'] = $ven_numDoc;
$data['ven_docabr'] = $ven_docAbr;
$data['url_genfac'] = '../../docgeneracion/generarfac.php';
$data['url_genbol'] = '../../docgeneracion/generarbol.php';
$data['cli_id'] = $cliId;
$data['cli_nom'] = $cliNom;
$data['cli_numdoc'] = $cliDoc;
$data['cli_dir'] = $cliDir;
$data['ven_valven'] = $ven_tot/$ven_igvsub; //formato_money($ven_valven);
$data['ven_igv'] = $data['ven_valven']*$ven_igvigv; //formato_money($ven_igv);
$data['ven_tot']	= $ven_tot; //formato_money($ven_tot);
$data['ven_lettot']	= numtoletras($ven_tot).$ven_moneid;
$data['ven_vennom']	= $ven_venNom;

//Detalle de venta

$dtsvenpag2 =$oVentapago->mostrar_pagos($venid);
$numrowsvenpag = mysqli_num_rows($dtsvenpag2);

//echo '--'.$numrowsvenpag;


$data['Numcuotas'] = $numrowsvenpag;

if($numrowsvenpag==1){
	
	
	
	$dtsvenpag =$oVentapago->mostrar_pagos($venid);
	$numrowsvenpag = mysqli_num_rows($dtsvenpag);
	$dtvenpag = mysqli_fetch_array($dtsvenpag);
	$forpag = $dtvenpag['tb_formapago_id'];
	$modpag = $dtvenpag['tb_modopago_id'];
	$venpag_fecven = $dtvenpag['tb_ventapago_fecven'];
	$venpag_mon = $dtvenpag['tb_ventapago_mon'];
	
	if($modpag==1){
		$mod = 'EFECTIVO';
	}else if($modpag==2){
		$mod = 'DEPOSITO';
	}else if($modpag==3){
		$mod = 'TRANSFERENCIA';
	}else if($modpag==4){
		$mod = 'CHEQUE';
	}else if($modpag==5){
		$mod = 'TARJETA';
	}
	
	if($forpag==1){		
		$data['venpag_est']= '1';
		$data['venpag_id']= 'FormaPago';
		$data['venpag_for']= 'Contado';
		$data['venpag_mod']= $mod;
		$data['venpag_tot']= $dtvenpag['tb_ventapago_mon'];
		$data['venpag_fecven']= $dtvenpag['tb_ventapago_fecven'];	
	}else if($forpag==2){
		$data['venpag_est']= '1';		
		$data['venpag_id']= 'FormaPago';
		$data['venpag_for']= 'Credito';
		$data['venpag_mod']= $mod;
		$data['venpag_tot']= $dtvenpag['tb_ventapago_mon'];
		$data['venpag_fecven']= $dtvenpag['tb_ventapago_fecven'];
		
		$data['venpag_estc'][]= '2';
		$data['venpag_idc'][]= 'FormaPago';
		$data['venpag_forc'][]= 'Cuota001';
		$data['venpag_modc'][]= $mod;
		$data['venpag_totc'][]= $dtvenpag['tb_ventapago_mon'];
		$data['venpag_fecvenc'][]= $dtvenpag['tb_ventapago_fecven'];		
	}
	
}else{
		$dtsvenpag1 =$oVentapago->mostrar_pagos($venid);
		$numrowsvenpag1 = mysqli_num_rows($dtsvenpag1);
		$dtvenpag1 = mysqli_fetch_array($dtsvenpag1);
		$forpag = $dtvenpag1['tb_formapago_id'];
		$modpag = $dtvenpag1['tb_modopago_id'];
		$venpag_fecven = $dtvenpag1['tb_ventapago_fecven'];
		$venpag_mon = $dtvenpag1['tb_ventapago_mon'];
	
		$data['venpag_est']= '1';		
		$data['venpag_id']= 'FormaPago';
		$data['venpag_for']= 'Credito';
		$data['venpag_mod']= $mod;
		$data['venpag_tot']= $ven_tot;
		$data['venpag_fecven']= $dtvenpag1['tb_ventapago_fecven'];
	$i = 1;
	$dtsvenpag3 =$oVentapago->mostrar_pagos($venid);
	$numrowsvenpag3 = mysqli_num_rows($dtsvenpag3);
	//echo '--'.$numrowsvenpag3;
	while($dtvenpag3 = mysqli_fetch_array($dtsvenpag3)){
	$forpag = $dtvenpag3['tb_formapago_id'];
	$modpag = $dtvenpag3['tb_modopago_id'];
	$venpag_fecven = $dtvenpag3['tb_ventapago_fecven'];
	$venpag_mon = $dtvenpag3['tb_ventapago_mon'];
	
	if($modpag==1){
		$mod = 'EFECTIVO';
	}else if($modpag==2){
		$mod = 'DEPOSITO';
	}else if($modpag==3){
		$mod = 'TRANSFERENCIA';
	}else if($modpag==4){
		$mod = 'CHEQUE';
	}else if($modpag==5){
		$mod = 'TARJETA';
	}
	
		$data['venpag_estc'][]= '2';
		$data['venpag_idc'][]= 'FormaPago';
		$data['venpag_forc'][]= 'Cuota00'.$i;
		$data['venpag_modc'][]= $mod;
		$data['venpag_totc'][]= $dtvenpag3['tb_ventapago_mon'];
		$data['venpag_fecvenc'][]= $dtvenpag3['tb_ventapago_fecven'];	
	
		$i++;
	
	}
	
}


$dtsdetven=$oVenta->mostrar_venta_detalle($venid);
$num_rows= mysqli_num_rows($dtsdetven);
if($num_rows>=1){

	while($dt1 = mysqli_fetch_array($dtsdetven))
	{
		
		
		$dts2=$oCatalogo->mostrarUno($dt1['tb_catalogo_id'],$dt1['tb_marca_id']);
			$dt2 = mysqli_fetch_array($dts2);
			
			$arttip_nom =  $dt1['tb_articulotipo_nom'];
			$emp_fac =  $dt2['tb_empaque_fac'];
			$preven =  $dt2['tb_productomarca_preven'];
			$prevenf =  $dt2['tb_productomarca_prevenf'];
		
		$pro_id = $dt1["tb_producto_id"];
		$detven_art = $dt1["tb_ventadetalle_nom"];
		$detven_can =  $dt1["tb_ventadetalle_can"];
		$detven_preuni = $dt1["tb_ventadetalle_preuni"];
		$detven_des = $dt1["tb_ventadetalle_des"];
		$detven_uni = $dt1["tb_unidad_abr"];
		
		$detven_preunicdes = $detven_preuni - $detven_des;
		
		$detven_valuni = ($detven_preuni/$ven_igvsub);
		$detven_mar = $dt1["tb_marca_nom"];
		$vendet_igv=$detven_valuni * $ven_igvigv; //formato_money($dt1["tb_ventadetalle_igv"]);
		$vendet_subtot= $detven_preunicdes; 
		
		
			$can = $detven_can/$emp_fac;
			//$can = $detven_can/$emp_fac;
		
			list($cane,$canf) = explode('.',$can);
			$canf = $canf * 1;
			
			
			
			
			//echo $cane.'--'.$canf ;
			//echo $canf.'-' ;


			if($cane!=="" && $canf==""){ 
				$can = $cane;
			}else if($cane=="" && $canf!==""){ 
				$can = $canf;
			}
			else if($cane!=="" && $canf!==""){ 
				
				$can = $detven_can;
			}

			
		$data['pro_id'][]= $pro_id;
		$data['vendet_art'][]= limpiar_string ($detven_art);
		$data['vendet_can'][]= $can*1;
		$data['vendet_valuni'][]=$detven_valuni; //formato_money($detven_preuni);
		$data['vendet_preuni'][]=$detven_preuni;
		$data['vendet_pretot'][]=$detven_preuni * $can;
		$data['vendet_uni'][]= $detven_uni;
		$data['vendet_mar'][]= $detven_mar;
		$data['vendet_igv'][]= $vendet_igv; //formato_money($vendet_igv);
		$data['vendet_subtot'][]=$vendet_subtot *$can; // 
			
	}
	mysqli_free_result($dtsdetven);	

}else{
	$data="";
}

echo json_encode($data);




?>